#!/bin/sh

# This file is part of the element-web-patches.
#
# element-web-patches is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# element-web-patches is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with element-web-patches. If not, see <https://www.gnu.org/licenses/>.

repository_url="https://github.com/element-hq/element-web"
directory_name="element-web"

# Latest from develop branch:
branch=develop
# Latest tagged release:
#branch=$(curl -s https://api.github.com/repos/element-hq/element-web/tags | grep -oP '"name": "\K[^"]+' | head -n 1)

echo "Downloading latest version (${latest_version})"
git clone --depth 1 --branch "${branch}" "${repository_url}" "${directory_name}"
cd "${directory_name}"
yarn
cd ..
